/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/

/*
 * Created on Sep 3, 2005
 */
 
package org.jboss.remoting.transport.multiplex;

import java.io.DataInputStream;


/**
 * A MultiplexingDataInputStream.

 * @author <a href="mailto:r.sigal@computer.org">Ron Sigal</a>
 * @version $Revision: 1.4 $
 * <p>
 * Copyright (c) 2005
 * </p>
 */

public class MultiplexingDataInputStream extends DataInputStream
{

/**
 * Create a new MultiplexingDataInputStream.
 * 
 * @param in
 */
   public MultiplexingDataInputStream(MultiplexingInputStream in)
   {
      super(in);
   }


/**
 *  FIXME Comment this
 * 
 * @return
 */
   public MultiplexingInputStream getMultiplexingInputStream()
   {
      return (MultiplexingInputStream) in;
   }
   
   
/**
 *  FIXME Comment this
 * 
 * @param n
 */
   protected void setSkip(long n)
   {
      ((MultiplexingInputStream) in).setSkip(n);
   }
   
      
/**
 *  FIXME Comment this
 * 
 * @param timeout
 */
   public void setTimeout(int timeout)
   {
      ((MultiplexingInputStream) in).setTimeout(timeout);
   }
   
   
/**
 *  FIXME Comment this
 * 
 * @return
 */
   public int getTimeout()
   {
      return ((MultiplexingInputStream) in).getTimeout();
   }
}

